Bug 1459818 - Build instructions fails
Build instructions fails
Status: VERIFIED
Product: ovirt-engine-sdk-python
Classification: oVirt
Component: Build (Show other bugs)
4.1.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.1.5
: 4.1.6
Assigned To: Ondra Machacek
Radim Hrazdil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 05:28 EDT by Fabrice Bacchella
Modified: 2017-08-02 09:37 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-ovirt-engine-sdk4-4.1.6
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.1+
lsvaty: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 78714 master MERGED List all needed packages to successfully run maven 2017-06-27 10:50 EDT
oVirt gerrit 78716 sdk_4.1 MERGED List all needed packages to successfully run maven 2017-06-27 11:02 EDT

  None (edit)
Description Fabrice Bacchella 2017-06-08 05:28:09 EDT
In the build instructions, the dependencies listed are gcc, libxml2-devel and python-devel.

But running from the master branch, I got:

    [ERROR] Failed to execute goal org.codehaus.mojo:exec-maven-plugin:1.2.1:exec (format-check) on project python-sdk: Command execution failed. Cannot run program "flake8" (in directory "/ovirt-engine-sdk/sdk"): error=2, No such file or directory -> [Help 1]

So I installed python-flake8, it run slightly longer, I now got:

[INFO] --- exec-maven-plugin:1.2.1:exec (test) @ python-sdk ---
usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
   or: setup.py --help [cmd1 cmd2 ...]
   or: setup.py --help-commands
   or: setup.py cmd --help

error: invalid command 'nosetests'
4.2.1.a2

Also, the pom.xml says:

          <configuration>
            <source>1.8</source>
            <target>1.8</target>
          </configuration>

So a java 8 installation is needed.
Comment 1 Fabrice Bacchella 2017-06-08 11:43:58 EDT
Ok, installing python-nose helped, but now I got:

[INFO] --- exec-maven-plugin:1.2.1:exec (build) @ python-sdk ---
usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
   or: setup.py --help [cmd1 cmd2 ...]
   or: setup.py --help-commands
   or: setup.py cmd --help

error: invalid command 'bdist_wheel'
4.2.1.a2
Comment 2 Fabrice Bacchella 2017-06-08 12:14:45 EDT
Ok, last additions:

python-wheel
python2-rpm-macros
Comment 3 Lukas Svaty 2017-07-11 02:40:52 EDT
What was the change here? Can you propose verification steps?
Comment 4 Ondra Machacek 2017-07-11 07:11:08 EDT
Follow the instructions in:

  https://github.com/oVirt/ovirt-engine-sdk/blob/master/README.adoc

And check if you succeed to build the SDK.
Comment 5 Radim Hrazdil 2017-08-02 09:37:08 EDT
Verified that build succeeds when following instructions given in comment 4.

Note You need to log in before you can comment on or make changes to this bug.